<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.channel.mapper.ChannelMoneyLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.channel.domain.ChannelMoneyLog">
        <id column="id" property="id" />
        <result column="channel_id" property="channelId" />
        <result column="type" property="type" />
        <result column="money" property="money" />
        <result column="log_money" property="logMoney" />
        <result column="income_expense" property="incomeExpense" />
        <result column="log_text" property="logText" />
        <result column="biz_time" property="bizTime" />
        <result column="ref_id" property="refId" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, channel_id, type, money, log_money, income_expense, log_text, biz_time, ref_id, created_time, updated_time
    </sql>

</mapper>
